<?php

use Bitrix\Main\Config\Option;
use Bitrix\Main\Localization\Loc,
    Bitrix\Sale\Tax;

if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    die();
}

IncludeModuleLangFile(__FILE__);

$orderStatuses = [];
$getOrderStatuses = CSaleStatus::GetList();
while ($status = $getOrderStatuses->Fetch()) {
    $orderStatuses[$status['ID']] = "[{$status['ID']}] {$status['NAME']}";
}

$stepStages = [
    'SINGLE' => 'Одностадийная',
    'DOUBLE' => 'Двустадийная'
];

$allPayments = [
    'full_prepayment' => 'Предоплата 100%',
    'prepayment' => 'Предоплата',
    'advance' => 'Аванс',
    'full_payment' => 'Полный расчёт',
    'partial_payment' => 'Частичный расчёт и кредит',
    'credit' => 'Передача в кредит',
    'credit_payment' => 'Оплата кредита'
];

$deliveryValues = [];
$paymentValues = [];
foreach ($allPayments as $paymentType => $paymentLabel) {
    $deliveryValues[$paymentType] = $paymentLabel;
    $paymentValues[$paymentType] = $paymentLabel;
}

$measureValues = [];
$measures = [
     '0' => 'Применяется для предметов расчета, которые могут быть реализованы поштучно или единицами',
    '10' => 'Грамм',
    '11' => 'Килограмм',
    '12' => 'Тонна',
    '20' => 'Сантиметр',
    '21' => 'Дециметр',
    '22' => 'Метр',
    '30' => 'Квадратный сантиметр',
    '31' => 'Квадратный дециметр',
    '32' => 'Квадратный метр',
    '40' => 'Миллилитр',
    '41' => 'Литр',
    '42' => 'Кубический метр',
    '50' => 'Киловатт час',
    '51' => 'Гигакалория',
    '70' => 'Сутки (день)',
    '71' => 'Час',
    '72' => 'Минута',
    '73' => 'Секунда',
    '80' => 'Килобайт',
    '81' => 'Мегабайт',
    '82' => 'Гигабайт',
    '83' => 'Терабайт',
    '255' => 'Применяется при использовании иных единиц измерения'
];

foreach ($measures as $measureType => $measureLabel) {
    $measureValues[$measureType] = $measureLabel;
}

$taxValues = [];
$taxes = [
    'none' => 'Без НДС',
    'vat0' => 'НДС по ставке 0%',
    'vat10' => 'НДС чека по ставке 10%',
    'vat110' => 'НДС чека по расчетной ставке 10/110',
    'vat20' => 'НДС чека по ставке 20%',
    'vat120' => 'НДС чека по расчетной ставке 20/120'
];

foreach ($taxes as $taxType => $taxLabel) {
    $taxValues[$taxType] = $taxLabel;
}

$subjectValues = [];
$subjects = [
    '1' => 'Товар',
    '2' => 'Подакцизный товар',
    '3' => 'Работа',
    '4' => 'Услуга',
    '5' => 'Ставка азартной игры',
    '6' => 'Выигрыш азартной игры',
    '7' => 'Ставка лотереи',
    '8' => 'Выигрыш лотереи',
    '9' => 'Предоставление прав',
    '10' => 'Платеж',
    '11' => 'Агентское вознаграждение',
    '12' => 'Выплата',
    '13' => 'Иной предмет расчёта',
    '14' => 'Имущественное право',
    '15' => 'Внереализационный доход',
    '16' => 'Страховые взносы',
    '17' => 'Торговый сбор',
    '18' => 'Курортный сбор',
    '19' => 'Залог',
    '20' => 'Расход',
    '21' => 'Взносы на ОПС ИП',
    '22' => 'Взносы ОПС',
    '23' => 'Взносы на ОМС ИП',
    '24' => 'Взносы на ОМС',
    '25' => 'Взносы на ОСС',
    '26' => 'Платеж казино',
    '27' => 'Выдача денежных средств банковским платежным агентом',
    '30' => 'Подакцизный товар, подлежащий маркировке средством идентификации, не имеющий кода маркировки',
    '31' => 'Подакцизный товар, подлежащий маркировке средством идентификации, имеющий код маркировки',
    '32' => 'Товар, подлежащий маркировке средством идентификации, не имеющий кода маркировки, за исключением подакцизного товара',
    '33' => 'Товар, подлежащий маркировке средством идентификации, имеющий код маркировки, за исключением подакцизного товара'
];

foreach ($subjects as $subjectType => $subjectLabel) {
    $subjectValues[$subjectType] = $subjectLabel;
}

$data = [
    'NAME' => Loc::getMessage('VTB_PAYMENT_NAME'),
    'CODES' => [
        'VTB_TEST_MODE' => [
            'NAME' => Loc::getMessage('VTB_TEST_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_TEST_DESCRIPTION'),
            'SORT' => 100,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'INPUT' => [
                'TYPE' => 'Y/N',
                'DEFAULT' => 'Y'
            ]
        ],
        'VTB_DEBUG_MODE' => [
            'NAME' => Loc::getMessage('VTB_DEBUG_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_DEBUG_DESCRIPTION'),
            'SORT' => 101,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'INPUT' => [
                'TYPE' => 'Y/N',
                'DEFAULT' => 'Y'
            ]
        ],
        'VTB_CLIENT_ID' => [
            'NAME' => Loc::getMessage('VTB_CLIENT_ID_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_CLIENT_ID_DESCRIPTION'),
            'SORT' => 102,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'DEFAULT' => [
                'PROVIDER_KEY' => 'VALUE',
                'PROVIDER_VALUE' => ''
            ]
        ],
        'VTB_CLIENT_SECRET' => [
            'NAME' => Loc::getMessage('VTB_CLIENT_SECRET_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_CLIENT_SECRET_DESCRIPTION'),
            'SORT' => 103,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'DEFAULT' => [
                'PROVIDER_KEY' => 'VALUE',
                'PROVIDER_VALUE' => ''
            ]
        ],
        'VTB_MERCHANT_AUTHORIZATION' => [
            'NAME' => Loc::getMessage('VTB_CLIENT_MERCHANT_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_CLIENT_MERCHANT_DESCRIPTION'),
            'SORT' => 104,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'DEFAULT' => [
                'PROVIDER_KEY' => 'VALUE',
                'PROVIDER_VALUE' => ''
            ]
        ],
        'VTB_ORDER_STATUS' => [
            'NAME' => Loc::getMessage('VTB_ORDER_STATUS_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_ORDER_STATUS_DESCRIPTION'),
            'SORT' => 106,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'INPUT' => [
                'TYPE' => 'ENUM',
                'OPTIONS' => $orderStatuses,
            ]
        ],
        'VTB_STEP_STAGE' => [
            'NAME' => Loc::getMessage('VTB_STEP_STAGE_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_STEP_STAGE_DESCRIPTION'),
            'SORT' => 107,
            'GROUP' => Loc::getMessage('VTB_PAYMENT_GROUP'),
            'INPUT' => [
                'TYPE' => 'ENUM',
                'OPTIONS' => $stepStages
            ]
        ],

        /**
         * Поля настроек фискализации
         */
        // 1.4.3 - Добавлена настройка вкл/выкл фискализации
        'VTB_FISCAL_ENABLE' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_ENABLE_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_ENABLE_DESCRIPTION'),
            'SORT' => 131,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
            'INPUT' => [
                'TYPE' => 'Y/N',
                'DEFAULT' => 'Y'
            ]
        ],
        'VTB_FISCAL_EMAIL' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_EMAIL_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_EMAIL_DESCRIPTION'),
            'SORT' => 132,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
            'DEFAULT' => [
                'PROVIDER_KEY' => 'VALUE',
                'PROVIDER_VALUE' => ''
            ]
        ],
        'VTB_FISCAL_DELIVERY' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_DELIVERY_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_DELIVERY_DESCRIPTION'),
            'SORT' => 133,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
            'INPUT' => [
                'TYPE' => 'ENUM',
                'OPTIONS' => $deliveryValues
            ]
        ],
        'VTB_FISCAL_MEASURE' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_MEASURE_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_MEASURE_DESCRIPTION'),
            'SORT' => 134,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
            'INPUT' => [
                'TYPE' => 'ENUM',
                'OPTIONS' => $measureValues,
            ]
        ],
        'VTB_FISCAL_TAX' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_TAX_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_TAX_DESCRIPTION'),
            'SORT' => 135,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
            'INPUT' => [
                'TYPE' => 'ENUM',
                'OPTIONS' => $taxValues
            ]
        ],
        'VTB_FISCAL_PAYMENT_TYPE' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_PAYMENT_TYPE_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_PAYMENT_TYPE_DESCRIPTION'),
            'SORT' => 136,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
            'INPUT' => [
                'TYPE' => 'ENUM',
                'OPTIONS' => $paymentValues
            ]
        ],
        'VTB_FISCAL_SUBJECT' => [
            'NAME' => Loc::getMessage('VTB_FISCAL_SUBJECT_TITLE'),
            'DESCRIPTION' => Loc::getMessage('VTB_FISCAL_SUBJECT_DESCRIPTION'),
            'SORT' => 141,
            'GROUP' => Loc::getMessage('VTB_FISCAL_GROUP'),
           'INPUT' => [
               'TYPE' => 'ENUM',
               'OPTIONS' => $subjectValues
           ],
        ],
    ]
];

return $data;